# Roles Defaults
# Root directory where to build output structure
root_dir: '{{inventory_dir}}'

mgmt_vrf_routing: false

mgmt_interface: Management1
mgmt_interface_vrf: MGMT

# eAPI
management_eapi:
  enable_https: true

internal_vlan_order:
  allocation: "ascending"
  range:
    beginning: 1006
    ending: 1199

max_l3leaf_to_spine_links: 1

terminattr_ingestgrpcurl_port: 9910
terminattr_smashexcludes: "ale,flexCounter,hardware,kni,pulse,strata"
terminattr_ingestexclude: "/Sysdb/cell/1/agent,/Sysdb/cell/2/agent"

p2p_uplinks_mtu: 9000

underlay_routing_protocol: BGP
overlay_routing_protocol: BGP

# Underlay OSPF Defaults
underlay_ospf_process_id: 100
underlay_ospf_area: 0.0.0.0
underlay_ospf_max_lsa: 12000
underlay_ospf_bfd_enable: false

spine_bgp_defaults:
  - update wait-for-convergence
  - update wait-install
  - no bgp default ipv4-unicast
  - distance bgp 20 200 200
  - graceful-restart restart-time 300
  - graceful-restart

leaf_bgp_defaults:
  - update wait-install
  - no bgp default ipv4-unicast
  - distance bgp 20 200 200
  - graceful-restart restart-time 300
  - graceful-restart

vxlan_vlan_aware_bundles: false

default_igmp_snooping_enabled: true

bfd_multihop:
  interval: 300
  min_rx: 300
  multiplier: 3

mlag_ibgp_peering_vrfs:
  base_vlan: 3000

# Set platform specific settings, TCAM profile and reload delay.
# The reload delay values should be reviewed and tuned to the specific environment.
# Recommended default values for Jericho based platform, and all other platforms default tag.

platform_settings:
  - platforms: [ default ]
    reload_delay:
      mlag: 300
      non_mlag: 330
  - platforms: [ 7800R3, 7500R3, 7500R, 7280R3, 7280R2, 7280R ]
    tcam_profile: vxlan-routing
    reload_delay:
      mlag: 780
      non_mlag: 1020
